[openwrt/openwrt] build: Fix Shellcheck for get_source_date_epoch.sh
LEDE Commits
lede-commits at lists.infradead.org
Mon Aug 31 06:29:52 EDT 2020
dangole pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/ae87e53e33a7e914ec340bebb45cb177724f5952
commit ae87e53e33a7e914ec340bebb45cb177724f5952
Author: Paul Spooren <mail at aparcar.org>
AuthorDate: Sat Aug 15 10:57:00 2020 -1000
build: Fix Shellcheck for get_source_date_epoch.sh
If a `cd` to `TOPDIR` fails the script should quit.
Also unify `try_mtime` function by storing it in a variable.
Signed-off-by: Paul Spooren <mail at aparcar.org>
---
scripts/get_source_date_epoch.sh | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/scripts/get_source_date_epoch.sh b/scripts/get_source_date_epoch.sh
index 84ba445454..8a41eebae7 100755
--- a/scripts/get_source_date_epoch.sh
+++ b/scripts/get_source_date_epoch.sh
@@ -1,7 +1,10 @@
#!/usr/bin/env bash
export LANG=C
export LC_ALL=C
-[ -n "$TOPDIR" ] && cd $TOPDIR
+
+if [ -n "$TOPDIR" ]; then
+ cd "$TOPDIR" || exit 1
+fi
try_version() {
[ -f version.date ] || return 1
@@ -22,7 +25,7 @@ try_hg() {
}
try_mtime() {
- perl -e 'print((stat $ARGV[0])[9])' "$0"
+ SOURCE_DATE_EPOCH=$(perl -e 'print((stat $ARGV[0])[9])' "$0")
[ -n "$SOURCE_DATE_EPOCH" ]
}
More information about the lede-commits
mailing list